ST_BdPolyFromText
Prev | 8.8.1. Well-Known Text (WKT) | Next

## Name

ST_BdPolyFromText — Construct a Polygon given an arbitrary collection of closed linestrings as a MultiLineString Well-Known text representation.

## Synopsis

`geometry ST_BdPolyFromText(`text WKT, integer srid`)`;

## Description

Construct a Polygon given an arbitrary collection of closed linestrings as a MultiLineString Well-Known text representation.

Throws an error if WKT is not a MULTILINESTRING. Throws an error if output is a MULTIPOLYGON; use ST_BdMPolyFromText in that case, or see ST_BuildArea() for a postgis-specific approach.

This method implements the OGC Simple Features Implementation Specification for SQL 1.1. s3.2.6.2

Performed by the GEOS module.

Availability: 1.1.0

## See Also

ST_BuildArea, ST_BdMPolyFromText

Prev | Up | Next
ST_Transform | Home | ST_BdMPolyFromText